SoSFVec3b(3)

NAME
SoSFVec3b - The SoSFVec3b class is a container for an SbVec3b vector.

SYNOPSIS

#include <Inventor/fields/SoSFVec3b.h>

Inherits SoSField.

  Public Member Functions
virtual SoType getTypeId (void) const
virtual void copyFrom (const SoField &field)
const SoSFVec3b & operator= (const SoSFVec3b &field)
virtual SbBool isSame (const SoField &field) const
SbVec3b getValue (void) const
void setValue (SbVec3b newvalue)
SbVec3b operator= (SbVec3b newvalue)
int operator== (const SoSFVec3b &field) const
int operator!= (const SoSFVec3b &field) const
void setValue (int8_t x, int8_t y, int8_t z)
void setValue (const int8_t xyz[3])

  Static Public Member Functions
static void * createInstance (void)
static SoType getClassTypeId (void)
static void initClass (void)

  Protected Attributes
SbVec3b value

  Additional Inherited Members

Detailed Description

The SoSFVec3b class is a container for an SbVec3b vector. This field is used where nodes, engines or other field containers need to store a single vector with three elements.

See also
    SbVec3b, SoMFVec3b Be aware that this class is an extension for Coin, and it is not available in the original SGI Open Inventor v2.1 API.

Since
    Coin 2.5

Member Function Documentation

  void * SoSFVec3b::createInstance (void) [static]
This API member is considered internal to the library, as it is not likely to be of interest to the application programmer.
 Creates a new instance of the class type corresponding to the SoType object.

  SoType SoSFVec3b::getClassTypeId (void) [static]
This static method returns the SoType object associated with objects of this class.

  SoType SoSFVec3b::getTypeId (void) const [virtual]
Returns the type identification of an object derived from a class inheriting SoField. This is used for runtime type checking and 'downward' casting.

Implements SoField.

  void SoSFVec3b::copyFrom (const SoField & f) [virtual]
Copy value(s) from f into this field. f must be of the same type as this field.

Implements SoField.

  SbBool SoSFVec3b::isSame (const SoField & f) const [virtual]
Check for equal type and value(s).

Implements SoField.

  void SoSFVec3b::initClass (void) [static]
Internal method called upon initialization of the library (from SoDB::init()) to set up the type system.

  void SoSFVec3b::setValue (int8_t x, int8_t y, int8_t z)
Set value of vector.

  void SoSFVec3b::setValue (const int8_t xyz[3])
Set value of vector.

Author

Generated automatically by Doxygen for Coin from the source code.